- Qt 6.10
- Qt Widgets
- C++ Classes
- QColumnView
- Qt 6.10.2 Reference Documentation

# QColumnView Class

The QColumnView class provides a model/view implementation of a column view. More...

Header: | `#include <QColumnView>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Widgets)` `target_link_libraries(mytarget PRIVATE Qt6::Widgets)`
qmake: | `QT += widgets`
Inherits: | QAbstractItemView

- List of all members, including inherited members

## Properties

- resizeGripsVisible : bool

## Public Functions

bool | resizeGripsVisible() const
void | setResizeGripsVisible(bool visible)

## Detailed Description

QColumnView displays a model in a number of QListViews, one for each hierarchy in the tree. This is sometimes referred to as a cascading list.

The QColumnView class is one of the Model/View Classes and is part of Qt's model/view framework.

QColumnView implements the interfaces defined by the QAbstractItemView class to allow it to display data provided by models derived from the QAbstractItemModel class.

See also Model/View Programming.

## Property Documentation

### resizeGripsVisible : bool

This property holds the way to specify if the list views gets resize grips or not

By default, `visible` is set to true

Access functions:

bool | resizeGripsVisible() const
void | setResizeGripsVisible(bool visible)

See also setRootIndex().